Bug 2040755 - CVE-2022-23132 zabbix: Incorrect permissions of [/var/run/zabbix] forces dac_override [fedora-all]
Summary: CVE-2022-23132 zabbix: Incorrect permissions of [/var/run/zabbix] forces dac_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix
Version: 35
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-23132
TreeView+ depends on / blocked
 
Reported: 2022-01-14 16:15 UTC by Michael Kaplan
Modified: 2022-01-23 01:42 UTC (History)
5 users (show)

Fixed In Version: zabbix-5.0.19-1.fc34 zabbix-5.0.19-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-23 01:05:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Michael Kaplan 2022-01-14 16:15:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2022-01-14 16:15:51 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2040753,2040755

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-01-14 18:28:22 UTC
FEDORA-2022-1a667b0f90 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1a667b0f90

Comment 3 Fedora Update System 2022-01-14 18:28:28 UTC
FEDORA-2022-dfe346f53f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dfe346f53f

Comment 4 Fedora Update System 2022-01-15 01:14:20 UTC
FEDORA-2022-dfe346f53f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-dfe346f53f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dfe346f53f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-15 02:16:16 UTC
FEDORA-2022-1a667b0f90 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-1a667b0f90`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1a667b0f90

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-23 01:05:56 UTC
FEDORA-2022-dfe346f53f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-01-23 01:42:05 UTC
FEDORA-2022-1a667b0f90 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.